# ACTIVATION_CHALLENGE_CREATION

This webhook event denotes that a new activation challenge is created. The payload contains the challenge_id which can be used to fetch the actual challenge itself.

Endpoint: POST activation_challenge_created
Version: 1.0

## Request fields (application/json):

  - `person_id` (string)
    The ID of the person for whom the challenge was created.
    Example: "b9c5661fc7d240b8b51b9059b580cper"

  - `challenge_id` (string)
    ID of the challenge that is created.
    Example: "a5f454e3f96447d6b3f7ecda46328040"

  - `created_at` (string)
    UTC timestamp when the challenge_id was created.
    Example: "2025-02-31T10:55:55Z"

  - `expires_at` (string)
    UTC timestamp when the challenge_id will expire.
    Example: "2025-03-31T10:55:55Z"

  - `requested_by` (string)
    The origin of the request that created this challenge. Possible values are - SOLARISBANK, WEBUI, MOBILE_APP, WEB
    Example: "SOLARISBANK"

  - `purpose` (string)
    The purpose for which the activation code is generataed. Currently it is only - DEVICE_BINDING
    Example: "DEVICE_BINDING"


## Response 200 fields
